Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

Functions
Quark SE Host Power states

Host Power mode control for Quark SE Microcontrollers. More...

## Functions
void | qm_power_cpu_c1 (void)
| Enter Host C1 state. More...
void | qm_power_cpu_c2 (void)
| Enter Host C2 state or SoC LPSS state. More...
void | qm_power_cpu_c2lp (void)
| Enter Host C2LP state or SoC LPSS state. More...

## Detailed Description

Host Power mode control for Quark SE Microcontrollers.

These functions cannot be called from the Sensor Subsystem.

## Function Documentation

void qm_power_cpu_c1 | ( | void |  | ) |

Enter Host C1 state.

Put the Host into C1.
Processor Clock is gated in this state.
Nothing is turned off in this state.

This function can be called with interrupts disabled. Interrupts will be enabled before triggering the transition.

A wake event causes the Host to transition to C0.
A wake event is a host interrupt.

Definition at line 145 of file power_states.c.

References SOCW_EVENT_HALT.

void qm_power_cpu_c2 | ( | void |  | ) |

Enter Host C2 state or SoC LPSS state.

Put the Host into C2. Processor Clock is gated in this state. All rails are supplied.

This enables entry in LPSS if:

- Sensor Subsystem is in SS2.
- LPSS entry is enabled.

If C2 is entered:

- A wake event causes the Host to transition to C0.
- A wake event is a host interrupt.

If LPSS is entered:

- LPSS wake events applies.
- If the Sensor Subsystem wakes the SoC from LPSS, Host is back in C2.

Definition at line 160 of file power_states.c.

References SOCW_EVENT_REGISTER, SOCW_EVENT_SLEEP, and SOCW_REG_CCU_LP_CLK_CTL.

Referenced by qm_power_sleep_wait().

void qm_power_cpu_c2lp | ( | void |  | ) |

Enter Host C2LP state or SoC LPSS state.

Put the Host into C2LP. Processor Complex Clock is gated in this state. All rails are supplied.

This enables entry in LPSS if:

- Sensor Subsystem is in SS2.
- LPSS is allowed.

If C2LP is entered:

- A wake event causes the Host to transition to C0.
- A wake event is a Host interrupt.

If LPSS is entered:

- LPSS wake events apply if LPSS is entered.
- If the Sensor Subsystem wakes the SoC from LPSS, Host transitions back to C2LP.

Definition at line 170 of file power_states.c.

References SOCW_EVENT_REGISTER, SOCW_EVENT_SLEEP, and SOCW_REG_CCU_LP_CLK_CTL.